# Class yii\helpers\VarDumper

Inheritance | yii\helpers\VarDumper » yii\helpers\BaseVarDumper
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/helpers/VarDumper.php

VarDumper is intended to replace the buggy PHP function var_dump and print_r.

It can correctly identify the recursively referenced objects in a complex object structure. It also has a recursive depth control to avoid indefinite recursive display of some peculiar variables.

VarDumper can be used as follows,

    VarDumper::dump($var);

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
dump() | Displays a variable. | yii\helpers\BaseVarDumper
dumpAsString() | Dumps a variable in terms of a string. | yii\helpers\BaseVarDumper
export() | Exports a variable as a string representation. | yii\helpers\BaseVarDumper